package com.zhyc.module.produce.manage_sheep.service;

import java.util.List;

import com.zhyc.module.produce.manage_sheep.domain.ScTransitionInfo;

/**
 * 转场Service接口
 *
 * @author ruoyi
 * @date 2025-07-10
 */
public interface IScTransitionInfoService {
    /**
     * 查询转场
     *
     * @param id 转场主键
     * @return 转场
     */
    public ScTransitionInfo selectScTransitionInfoById(Integer id);

    /**
     * 查询转场列表
     *
     * @param scTransitionInfo 转场
     * @return 转场集合
     */
    public List<ScTransitionInfo> selectScTransitionInfoList(ScTransitionInfo scTransitionInfo);

    /**
     * 新增转场
     *
     * @param scTransitionInfo 转场
     * @return 结果
     */
    public int insertScTransitionInfo(ScTransitionInfo scTransitionInfo);

    /**
     * 修改转场
     *
     * @param scTransitionInfo 转场
     * @return 结果
     */
    public int updateScTransitionInfo(ScTransitionInfo scTransitionInfo);

    /**
     * 批量删除转场
     *
     * @param ids 需要删除的转场主键集合
     * @return 结果
     */
    public int deleteScTransitionInfoByIds(Integer[] ids);

    /**
     * 删除转场信息
     *
     * @param id 转场主键
     * @return 结果
     */
    public int deleteScTransitionInfoById(Integer id);

    //批量转场
    public int insertScTransitionInfoBatch(List<ScTransitionInfo> transitionInfoList);

    //状态
    public String convertStatus(Integer status);

    //转场类型
    public String convertTransType(Integer transType);

    //审批转场
    public int approveScTransitionInfo(ScTransitionInfo scTransitionInfo);

    List<String> searchEarNumbers(String query);
}
